Gem::Specification.new do |s|
  s.name        = 'robotest'
  s.version     = '1.0.2'
  s.executables << 'robotest'
  s.date        = '2019-01-10'
  s.description = "Framework for Selenium with rspec, parallel_tests and allure in Page Object Model (POM)"
  s.summary     = "Web browser Automation Framework using selenium, Rspec, parallel_tests and allure"
  s.authors     = ["Naresh Sekar"]
  s.email       = 'nareshnavinash@gmail.com'
  # s.cert_chain  = ['certs/public_cert.pem']
  # s.signing_key = File.expand_path("~/.ssh/gem-private_key.pem") if $0 =~ /gem\z/
  s.files       = [ "lib/robotest.rb",
                    "lib/robotest/driver.rb",
                    "lib/robotest/dsl.rb",
                    "lib/robotest/locator.rb",
                    "lib/robotest/multilocator.rb",
                    "lib/robotest/version.rb",
                    "lib/robotest/wait.rb",
                    "lib/robotest/RoboTest.png",
                    "lib/tasks/robotest.rake",
                    "Full_Suite/conf/account_credentials.yml",
                    "Full_Suite/libraries/constants.rb",
                    "Full_Suite/libraries/dsl.rb",
                    "Full_Suite/locators/testpage.rb",
                    "Full_Suite/pages/testpage.rb",
                    "Full_Suite/rake-jobs/rake_jobs.rb",
                    "Full_Suite/spec/test_spec.rb",
                    "Full_Suite/spec/test_spec_copy.rb",
                    "Full_Suite/spec/test_spec_copy_2.rb",
                    "Full_Suite/spec/test_spec_copy_3.rb",
                    "Full_Suite/spec/spec_helper.rb",
                    "Full_Suite/test-data/credentials/test_credentials.conf",
                    "Full_Suite/test-data/attachments/attachment_test.yml",
                    "Full_Suite/yaml/test.yml",
                    "Full_Suite/yaml/test_parallel.yml",
                    "Full_Suite/Gemfile",
                    "Full_Suite/Rakefile",
                    "Full_Suite/README.md",
                    "Full_Suite/rspec_parallel",
                    "README.md",
                    "CONTRIBUTING.md",
                    "Rakefile",
                    "LICENSE",
                    "robotest.gemspec",
                    ]
  s.homepage    = 'https://nareshnavinashhelp.freshdesk.com'
  s.license     = 'GPL-3.0'
  s.metadata    = { "source_code_uri" => "https://github.com/nareshnavinash/robotest" }
  s.add_runtime_dependency 'selenium-webdriver', '3.12.0'
  s.add_runtime_dependency 'rspec', '3.7.0'
  s.add_runtime_dependency 'parallel_tests', '2.21.0'
  s.add_runtime_dependency 'parseconfig', '1.0.8'
  s.add_runtime_dependency 'allure-rspec', '0.8.0'
  s.add_runtime_dependency 'require_all', '~> 1.4', '>= 1.4.0'
  s.add_runtime_dependency 'fuubar', '~> 2.2', '>= 2.2.0'
  s.add_runtime_dependency 'rspec_junit_formatter', '~> 0.3.0'
  s.add_runtime_dependency 'headless', '~> 2.3', '>= 2.3.1'
  s.add_runtime_dependency 'os', '~> 0.9.6'
  s.add_runtime_dependency 'pry', '~> 0.11.1'
  s.add_runtime_dependency 'progress_bar', '1.2.0'
  s.add_runtime_dependency 'yaml_extend', '~> 0.2.0'
end
